library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;

entity pwmDac is
	port	( 
				clk		: in STD_LOGIC;
				pwmValue: in STD_LOGIC_VECTOR ( 9 downto 0 );
				pwmOut	: out STD_LOGIC
			);
end pwmDac;

architecture logic of pwmDac is
	signal counter : integer range 0 to 1023 := 0;
begin
	process begin
		
		wait until rising_edge(clk);
		
		if( counter < 1023 ) then
			counter <= counter +1;
		else
			counter<=0;
		end if;
		
	end process;
	
	pwmOut <= '1' when ( counter < to_integer(unsigned(pwmValue) ) ) else '0';
end logic;

