library ieee;
use IEEE.STD_LOGIC_1164.ALL; 
use IEEE.NUMERIC_STD.ALL; 

entity top_MACHX02 is
	Port	(  
				system_leds			: out STD_LOGIC_VECTOR ( 7 downto 0 );
				system_speaker		: out STD_LOGIC;
				system_pwmSpeaker	: out STD_LOGIC
			); 
end entity;

architecture Behaviour of top_MACHX02 is

   -- lattice oscillator OSCH primitive
	component OSCH  
		generic	(
					NOM_FREQ: string
				);
 
		port	( 
					STDBY    : IN  STD_LOGIC;
					OSC      : OUT STD_LOGIC;
					SEDSTDBY : OUT STD_LOGIC
				);
	end component;
	
	component melodyPlayer
	Port	(  
				system_clk			: in STD_LOGIC;
				system_leds			: out STD_LOGIC_VECTOR ( 7 downto 0 );
				system_pwmSpeaker	: out STD_LOGIC
			); 
	end component;
	
	signal system_clk	: STD_LOGIC ;
   
begin
	-- lattice internal oscillator OSCH primitive
	OSC0: OSCH
		GENERIC MAP (NOM_FREQ  => "53.20")  -- 53.2 MHz syssysclk
		PORT MAP    (STDBY => '0', OSC => system_clk, SEDSTDBY => OPEN);
	
	melodyPlayer0: melodyPlayer
		port map	( system_clk => system_clk, system_leds => system_leds, system_pwmSpeaker=>system_pwmSpeaker );
		
end architecture;
